Subject: RAND as order posibility
Description

It would be cool to have a possibilty to get randomize data.. for example

$query = $this->createQuery();
return $query->matching($query->equals('X', $x))
             ->setOrderings(array('date' => \F3\FLOW3\Persistence\QueryInterface::ORDER_RAND))
             ->setLimit($limit)
             ->execute();

or

$query = $this->createQuery();
return $query->matching($query->equals('X', $x))
             ->randomizeResult()
             ->setLimit($limit)
             ->execute();

actually you cant randomize BEVORE the query executes, so you cant set a limit, must select all results and randomize per plain php
code..

History
#1 - 2010-08-31 15:55 - Karsten Dambekalns
- Priority changed from Should have to Could have
- Target version deleted (1.0 alpha 12)
- Start date deleted (2010-08-31)

#2 - 2011-04-29 21:51 - Karsten Dambekalns

Implementation hint at http://www.petefreitag.com/item/466.cfm

#3 - 2011-04-29 22:13 - Julian Kleinhans

Please close.. 
with Doctrine no problem, this issue is from time before doctrine

#4 - 2011-10-13 15:24 - Christian Müller
http://www.petefreitag.com/item/466.cfm


- Status changed from New to Rejected

As stated, with doctrine no longer an issue.
